> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/ru/vast/vast-wrapper.md).

# VAST Wrapper-тег

## Пример XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>ExoClick</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.magsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Свойства

| Параметр                                 | Описание                                                                                                                                                                                                                                                                                                                                  |
| ---------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | Пролог XML с указанием версии и кодировки.                                                                                                                                                                                                                                                                                                |
| `VAST`                                   | Версия VAST, используемая этим элементом                                                                                                                                                                                                                                                                                                  |
| `Wrapper fallbackOnNoAd`                 | Указывает, что в дереве есть другой элемент VAST. Если в настройках рекламной зоны включена функция «Резервное видео», также указывается позиция этого элемента в очереди VAST.                                                                                                                                                           |
| `VASTAdTagURI`                           | Элемент используется для указания URI вторичного ответа VAST. Этот ответ может содержать ещё один Wrapper, однако в конечном итоге обёртка VAST должна вернуть элемент `<InLine>` с рекламой. В версии 3 количество перенаправлений Wrapper не ограничено, однако начиная с версии 4 допускается не более 5 перенаправлений Wrapper VAST. |
| `VideoClicks`                            | Элемент определяет, что должен делать видеоплеер, если пользователь щёлкнет непосредственно по области видеоплеера во время показа рекламы. Если указан элемент `<VideoClicks>` он содержит один дочерний элемент `<ClickTracking>` с URI (или `<ClickThrough>` в случае тега VAST).                                                      |
| `ClickTracking`                          | Элемент используется для отслеживания `clickthrough` если файл креатива обрабатывает `clickthrough`.                                                                                                                                                                                                                                      |
| `Extension`                              | Дополнительные настройки, предоставляемые рекламным сервером                                                                                                                                                                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/ru/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
